- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LimitStencilTableFactory::LocationArray Struct Reference

Descriptor for limit surface locations. More...

`#include <stencilTableFactory.h>`

## Public Member Functions
| LocationArray ()

## Public Attributes
int | ptexIdx
| ptex face index More...
int | numLocations
| number of (u,v) coordinates in the array More...
float const * | s
| array of u coordinates More...
float const * | t
| array of v coordinates More...

## Detailed Description

Descriptor for limit surface locations.

Definition at line 148 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

LocationArray | ( |  | ) |
| inline

Definition at line 150 of file stencilTableFactory.h.

## Member Data Documentation

int numLocations

number of (u,v) coordinates in the array

Definition at line 152 of file stencilTableFactory.h.

int ptexIdx

ptex face index

Definition at line 152 of file stencilTableFactory.h.

float const* s

array of u coordinates

Definition at line 155 of file stencilTableFactory.h.

float const * t

array of v coordinates

Definition at line 155 of file stencilTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/stencilTableFactory.h